# Register as a Validator

## Introduction

The following section will take you through the steps to register your node as a Validator node on the network

## Pre-requisites

* 30 XRD in your desktop wallet to be able to send to the node's wallet for registration
* radixnode cli is installed

## Registration

Begin by sending some XRD to your node's wallet address so that there is enough to cover the registration fees. 5-10 XRD is plenty.

Check your node's wallet address

```
radixnode api account get-info

{"result": {"address": "tdx1qsprd6tt0dxvw9qks2mh743tr68s4ft9p6qv2zkfc622uymczragyfclqqu7e",
```

in this instance the wallet address begins tdx...&#x20;

```
tdx1qsprd6tt0dxvw9qks2mh743tr68s4ft9p6qv2zkfc622uymczragyfclqqu7e
```

head to your desktop or Ledger wallet and send the XRD to that address, then check it's been received by entering

```
radixnode api account get-info
```

```
Confirm the 'amount' paramater has a value

{"result": {"address": "tdx1qsprd6tt0dxvw9qks2mh743tr68s4ft9p6qv2zkfc622uymczragyfclqqu7e", "balance": {"stakes": [], "tokens": [{"amount": "10000000000000000000", "rri": "01"}]}}, "id": 1, "jsonrpc": "2.0"}
```

enter the following command to register as a validator

```
radixnode api account update-validator-config
```

enter **true** add then add your **name**, **url** and **fee** and whether you'll **accept delegations**. You'll need to specify a wallet address of where emissions should go to. It is recommended that this is an external wallet address such as the upcoming Ledger wallet or Desktop wallet and not your node's wallet address.

![](/files/-Mez_UbEmCG9wqtpSdPM)

check the registration was successful

```
radixnode api validation get-validator-info
```

```
{"result": {"owner": "tdx1qspy3hhj2xzr9vcwfkw45lclj6kdkpu7xpueyl3ym32lcwlcg2lm9hcw3gftc", \ 
"address": "tv1qgmwj6mmfnr3g95zkal4v2c73u922egwsrzs4jwxjjhpx7qsl2pzwa53mte", \
"stakes": [], "allowDelegation": true, \ 
"name": "Avaunt Staking 03", "validatorFee": "2.0", \
"registered": true, "totalStake": "0", "url": "https://avaunt-staking.com"}, "id": 1, "jsonrpc": "2.0"}

```

### How to update the Validator

```
radixnode api account update-validator-config
```

### How to unregister your Validator

```
radixnode api account update-validator-config
```

change the value to **false**

If you have delegates signed on to your validator node, then you must inform them before you unregister the node.

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.radix-staking.com/install-and-configure-the-radix-validator-software/register-as-a-validator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
